%define upstream_name       CPANPLUS-Dist-Build
%define upstream_version 0.78

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Constants for CPANPLUS::Dist::Build
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPANPLUS) >= 0.840.0
BuildRequires: perl(ExtUtils::Install) >= 1.420.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IPC::Cmd) >= 0.420.0
BuildRequires: perl(Locale::Maketext::Simple)
BuildRequires: perl(Module::Build) >= 0.320.0
BuildRequires: perl(Module::Load) >= 0.160.0
BuildRequires: perl(Module::Load::Conditional) >= 0.300.0
BuildRequires: perl(Module::Pluggable) >= 3.800.0
BuildRequires: perl(Params::Check) >= 0.260.0
BuildRequires: perl(Test::Harness) >= 3.160.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(if)
BuildRequires: perl-devel
# versionning the corresponding virtual package is not enough
BuildRequires: perl-Module-Load-Conditional
BuildArch:  noarch

%description
'CPANPLUS::Dist::Build' is a distribution class for 'Module::Build' related
modules. Using this package, you can create, install and uninstall perl
modules. It inherits from 'CPANPLUS::Dist'.

Normal users won't have to worry about the interface to this module, as it
functions transparently as a plug-in to 'CPANPLUS' and will just 'Do The
Right Thing' when it's loaded.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/CPANPLUS

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.780.0-6pclos2017
- rebuild against updates

